/**
 * Component to render data for site documents
 * @class SiteDocuments
 */
export class SiteDocuments {
    /**
     * @param {object} data
     */
    set siteData(data) {
        this._siteData = data;
    }

    render() {
        let content = `<div class="has-bottom-border"><details>
            <summary class="is-clickable has-text-centered p-2 is-size-5">
                Documentazione di archivio
            </summary>
            <div class="p-2">
            <ol class="ml-2 pl-4">
            `;
		for (const doc of this._siteData.documents.filter(d => d.tipo === 'documentazione')) {
			content += `
				<li><a href="docs/${doc.filename}">${doc.titolo}</a></li>
			`;
		}
		content += '</ol></div></details></div>';
		content += `<div class="has-bottom-border"><details>
            <summary class="is-clickable has-text-centered p-2 is-size-5">
                Pubblicazioni del progetto Carta Archeologica
            </summary>
            <div class="p-2">
            <ol class="ml-2 pl-4">
        `;
		for (const doc of this._siteData.documents.filter(d => d.tipo === 'pubblicazione')) {
			content += `
				<li><a href="docs/${doc.filename}">${doc.titolo}</a></li>
			`;
		}
		content += '</ol></div></details></div>';

        return content;
    }
}