/**
 * Component to render data for site photos
 * @class SitePhotos
 */
export class SitePhotos {
    /**
     * @param {object} data
     */
    set siteData(data) {
        this._siteData = data;
    }

    render() {
		let content = `<div class="content has-text-centered">
			<p class="is-size-5 mt-3">Fotografie</p>`;
		content += `
			<div style="max-width: 70%; margin: 0 auto">
				<p class="is-size-6 has-text-centered">Cliccare sull'immagine per aprire la gallery</p>
				<figure class="is-relative is-clickable has-text-centered" id="gallery-2">
					<img src="img/${this._siteData.filename}" width="300"/>
					<div class="icon overlay is-flex is-justify-content-center is-align-items-center">
						<i class="is-flex fa fa-2x fa-play-circle"></i>
					</div>
					<figcaption class="p-2 has-text-centered">${this._siteData.didascalia}</figcaption>
				</figure>
			</div>
		</div>
		`;

        return content;
    }
}
