/**
 * Component to render data for site sheet
 * @class SiteSheet
 */
export class SiteSheet {
    /**
     * @param {object} data
     */
    set siteData(data) {
        this._siteData = data;
    }

    render() {
        return `<div class="container has-bottom-border">
            <details>
            <summary class="is-clickable has-text-centered p-2 is-size-5">
                Scheda del sito
            </summary>
            <table class="table is-fullwidth is-striped">
                <tr><th>Denominazione</th><td>${this._siteData.denominazione}</td></tr>
                <tr><th>Località</th><td>${this._siteData.localita}</td></tr>
                <tr><th>Indirizzo</th><td>${this._siteData.indirizzo}</td></tr>
                <tr><th>Comune</th><td>${this._siteData.comune}</td></tr>
                <tr><th>Localizzazione</th><td>${this._siteData.localizzazione}</td></tr>
                <tr><th>Definizione</th><td>${this._siteData.definizione}</td></tr>
                <tr><th>Periodo</th><td>${this._siteData.periodo}</td></tr>
                <tr><th>Fase</th><td>${this._siteData.fase}</td></tr>
                <tr><th>Cronologia</th><td>${this._siteData.cronologia}</td></tr>
                <tr><th>Motivazione cronologia</th><td>${this._siteData.motivazione_cron}</td></tr>
                <tr><th>Ritrovamento</th><td>${this._siteData.ritrovamento}</td></tr>
                <tr><th>Materiali rinvenuti</th><td>${this._siteData.materiali_rinv}</td></tr>
                <tr><th>Luogo custodia materiali</th><td>${this._siteData.luogo_custodia_mat}</td></tr>
                <tr><th>Tutela vigente</th><td>${this._siteData.tutela_vigente}</td></tr>
                <tr><th>Stato di conservazione</th><td>${this._siteData.stato_conserv}</td></tr>
                <tr><th>Documenti</th><td>${this._siteData.documenti}</td></tr>
                <tr><th>Descrizione</th>
                    <td><details><summary class="is-clickable">Leggi tutto</summary>${this._siteData.descrizione}</details></td>
                </tr>
            </table>
            </details>
        </div>`;
    }
}